export default function combineReducers() {
  for (var _len = arguments.length, reducers = new Array(_len), _key = 0; _key < _len; _key++) {
    reducers[_key] = arguments[_key];
  }

  return (state, changes) => {
    let result = state;

    for (let reducer of reducers) {
      result = reducer(result, changes);
    }

    return result;
  };
}